Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Types | Public Member Functions | List of all members
unbuffered_codec Struct Reference

Base class for unbuffered codecs. More...

`#include <codec_base.h>`

Inheritance diagram for unbuffered_codec:

## Public Types

typedef unbuffered_codec_type_tag | codec_type
Public Types inherited from codec
typedef unsigned char | char_type

## Public Member Functions

template<typename OutIt>
void | flush (OutIt &)
Public Member Functions inherited from codec
virtual const char * | name () const =0
virtual double | codeSizeMultiplier () const

## Detailed Description

Base class for unbuffered codecs.

The documentation for this struct was generated from the following file:

- codec_base.h